Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 23 Aug 2014, 03:45
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
1.0.5 alpha 2 - LinNeighborhood Samba Client
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [10 Posts]  
Author Message
John Doe

Joined: 01 Aug 2005
Posts: 1689
Location: Michigan, US

PostPosted: Tue 30 Aug 2005, 18:04    Post subject:  1.0.5 alpha 2 - LinNeighborhood Samba Client  

The 1.0.5 alpha 2 - LinNeighborhood Samba Client doesn't work for me connecting to a windows machine. I can add a machine, scan it as user and get the share list.

When I click on a share and say mout, I put in my information and then receive a "Can't resolve address" error (sounds like a name resolution problem Wink).

The 1.0.4 version worked right out of the box.
Back to top
View user's profile Send private message 
John Doe

Joined: 01 Aug 2005
Posts: 1689
Location: Michigan, US

PostPosted: Wed 31 Aug 2005, 16:47    Post subject:  

Obviously Barry is aware of why this happens (as it works in puppy 1.04 and is a known bug in LN) and he probably recompiled the alpha 2 from scratch and forgot about it.

For anyone else that is interested in knowing the answer, read on:

https://lists.berlios.de/pipermail/tur-users/2004-March/000109.html

(note to barry: I'm still hoping for PPP-MPPE 2.4.0 or 2.4.1 (for MS-CHAP-v2 and MPPE) in the kernel, it's the ONLY thing you are missing Very Happy )

or can one recompile the kernel with the new developer kit?
Back to top
View user's profile Send private message 
Guest
Guest


PostPosted: Wed 31 Aug 2005, 23:14    Post subject:  

Here is the LinNeighborhood download site:
http://www.bnro.de/~schmidjo/download/

and I attached a patched smbmount.c (rename to .c from .zip, it is NOT a zip) for anyone that wants to save some typing.

I built it with the new developer pack and it stays after I reboot.
smbmount.zip
Description  patched smbmount.c for LinNeighborhood 0.6.5
zip

 Download 
Filename  smbmount.zip 
Filesize  29.33 KB 
Downloaded  427 Time(s) 
Back to top
John Doe

Joined: 01 Aug 2005
Posts: 1689
Location: Michigan, US

PostPosted: Thu 01 Sep 2005, 02:57    Post subject:  

BTW that was me on the last post. I'm a "computer expert" but got so excited that I did something, I forgot to sign in. I also spend a lot of time talking to myself. Confused
Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Fri 02 Sep 2005, 06:40    Post subject:  

Thanks for that.
I've just downloaded it and will fix LN!
Back to top
View user's profile Send private message Visit poster's website 
John Doe

Joined: 01 Aug 2005
Posts: 1689
Location: Michigan, US

PostPosted: Sat 03 Sep 2005, 22:01    Post subject:  

BarryK wrote:
Thanks for that.


No problem. Thank you for this great distro.

If you get a chance, please consider adding MPPE support to the 1.0.5 kernel and the source in usr_devx.sfs.

It's supposed to be available at the following url, but the site seems down:
http://www.polbox.com/h/hs001/

I believe all you need can be extracted from one of the RPM's here:
http://pptpclient.sourceforge.net/mppe/

I really feel that is all you are missing from making this the ULTIMATE network admins tool. It will enable VPN support for MS machines.
Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sun 04 Sep 2005, 11:40    Post subject:  

No MPPE for 1.0.5
...I've already got so much to do for 1.0.5, getting behind my own self-imposed schedule.

remind me soon after 1.0.5 is released.
will probably consider a kernel upgrade after 1.0.5.
Back to top
View user's profile Send private message Visit poster's website 
John Doe

Joined: 01 Aug 2005
Posts: 1689
Location: Michigan, US

PostPosted: Sun 04 Sep 2005, 15:34    Post subject:  

BarryK wrote:
No MPPE for 1.0.5
...I've already got so much to do for 1.0.5, getting behind my own self-imposed schedule.

remind me soon after 1.0.5 is released.
will probably consider a kernel upgrade after 1.0.5.


I understand how that goes. I've got too much on my plate also. I'll be sure to remind you in the future though. Very Happy
Back to top
View user's profile Send private message 
moritzes

Joined: 11 Aug 2005
Posts: 20
Location: Akron, OH

PostPosted: Sun 04 Sep 2005, 17:38    Post subject: thanks  

John Doe-
Thanks for the patch. I hadn't tried linneighborhood yet, but now it's working great.
Very Happy
Back to top
View user's profile Send private message 
John Doe

Joined: 01 Aug 2005
Posts: 1689
Location: Michigan, US

PostPosted: Thu 08 Sep 2005, 01:44    Post subject:  

John Doe wrote:

It's supposed to be available at the following url, but the site seems down:
http://www.polbox.com/h/hs001/


For the sake of the archive, this site is now located here:
http://mppe-mppc.alphacron.de/

I couldn't find it through google, but it showed up under yahoo.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [10 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0662s ][ Queries: 12 (0.0111s) ][ GZIP on ]